Results 1 to 9 of 9

Thread: 11.3 > 11.4 YaST, DSL, linux-atm-lib

  1. #1
    Join Date
    Mar 2011
    Location
    Germany
    Posts
    34

    Default 11.3 > 11.4 YaST, DSL, linux-atm-lib

    Hallo Forum,
    1) Nach der Neuinstallation 11.4 beobachte ich beim installieren der DSL Verbindung, das YaST die „linux-atm-lib“ erwartet, sie nicht bekommt und die DSL Verbindung nicht anlegt – die Internetanbindung also nicht möglich ist. Meine Internetanbindung: aus Deutschland via T-Online, DSL, Speedport200.
    Das habe ich 2x, jeweils mit einer Neuinstallation, nachvollziehen können.
    Suche ich nun mit YaST nach der vermissten „linux-atm-lib“ - mit Haken bei „RPM Provides“ – so wird die (angeblich) im Hauptzweig „openSUSE-release“ mitgeliefert.
    2) Die Internetanbindung gelang mir erst, nachdem ich 11.3 wieder aufzog, und dann 11.4 mit der Option „Aktualisierung“ darüberspielte.
    3) Unter 11.4 habe ich über YaST die DSL Installation noch einmal aufgerufen und bekomme wieder die „linux-atm-lib“ Vermisstenmeldung.
    4) Nun habe ich als Installationsquelle die 11.3 DVD gewählt und prompt wurde, ohne mein Zutun, „linux-atm-lib“ als zu aktualisieren aufgerufen. Danach habe ich die DSL Installation noch einmal aufgerufen und komme fehlerfrei durch.

    Wenn ich das richtig recherchiert habe, bezieht sich „linux-atm-lib“ auf die Art der Internetanbindung: „ppp über Ethernet“ / „ppp über atm“.

    Ist die linux-atm-lib in der 11.4 drin oder nicht, und falls ja, warum kommt die nicht zum Zuge?

  2. #2
    Join Date
    Aug 2010
    Location
    Wuppertal, Germany
    Posts
    240

    Default Re: 11.3 > 11.4 YaST, DSL, linux-atm-lib


  3. #3
    Join Date
    Mar 2011
    Location
    Germany
    Posts
    34

    Default Re: 11.3 > 11.4 YaST, DSL, linux-atm-lib

    Hallo Dietger,
    ah, die Verwirrung kam doch häufiger vor.
    Da bin ich beruhigt, dass der Lösungsweg auch gleich war.
    Problem gelöst = doch noch Spaß gehabt
    Vielen Dank für den guten Hinweis!

  4. #4
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Default Re: 11.3 > 11.4 YaST, DSL, linux-atm-lib

    Quote Originally Posted by dietger View Post
    Na dann mag ich nochmal hier die Links zu den entsprechenden Bugreports in Novell's Bugzilla ergänzen, vielleicht hilft es (z. B. bei der internen Suche):
    Bug 679112 - Impossible to connect Internet over PPPoE after fresh install
    =Bug 678396 - opensuse 11.4: where is linux-atm-lib package?.

    Martin
    (pistazienfresser)

  5. #5

    Default AW: Re: 11.3 > 11.4 YaST, DSL, linux-atm-lib

    Das ist ein guter Ansatz:
    Quote Originally Posted by drcux
    Besser wäre es, wenn man das Paket nicht wirklich installiert, sondern RPM bzw. YaST nur vorgaukelt, das es da ist:

    rpm -i --justdb linux-atm-lib......rpm
    LINUX • Thema anzeigen - [gelöst]OpenSuse 11.4 -linux-atm-lib

  6. #6
    Join Date
    Aug 2010
    Location
    Wuppertal, Germany
    Posts
    240

    Default Re: 11.3 > 11.4 YaST, DSL, linux-atm-lib

    Noch besserer Ansatz
    UNREAD_POSTvon drcux » 13. Mär 2011, 23:41
    Eigentlich sollte es reichen die Datei (als root) /usr/share/YaST2/modules/DSL.ycp zu öffnen, dort in Zeile 571 das "linux-atm-lib" durch "libatm1" zu ersetzen. YaST danach starten, und es sollte gehen
    Dietger

  7. #7

    Default Re: 11.3 > 11.4 YaST, DSL, linux-atm-lib

    Fasse zusammen - geht doch.
    Problem Nach Neuinstallation von OpenSuse 11.4 x86_64 verweigert Yast2.DSL Einrichtung DSL-Modem mit pppoe.
    Symptom:
    Yast2 fordert Installation '''smpppd''' und '''linux-atm-lib''' an.
    Ursächlich ist fehlender Testcase für DSL-Modem. Dadurch wird nicht bemerkt daß das YAST2.DSL Modul
    1)das falsches Paket '''linux-atm-lib''' in der Abhängikeitsliste für pppoe enthält
    2)dieses Packet auf dem Installationsdatenträger fehlt
    3)Im Resultat steht man in dieser Installation ohne Internet da 8(.
    Fixing - praktisch als Zusammenfassung obiger POSTS, Recherche bei SUSE und UBUNTU.
    1) Das benötigte Packet heißt nicht '''linux-atm-lib''' sondern '''libatm1'''.
    2) Packet '''libatm1''' möglichst vor Installation auf separaten zugreifbaren Datenträger laden von software.opensuse.org: Suchergebnisse .Die Lokation des Packages mit YAST2.Software Repositories als lokales RepositoryDirectory einbinden und aktivieren.
    3) YAST2.DSL Modul Quellcode anpassen. (nicht zum Text gehörig (-) alt, (+) neu)
    vim +571 /usr/share/YaST2/modules/DSL.ycp
    - return ["smpppd", "ppp", "pptp", "linux-atm-lib"];
    + return ["smpppd", "ppp", "pptp", "libatm1"];
    YAST2.DSL Modul Bytecode erstellen. Im Resultat liegt der benötigte Bytecode als /usr/share/YaST2/modules/DSL.ybc vor.
    cd /usr/share/YaST2/modules/
    ycpc DSL.ycp

    Abschließende Installation und Bemerkungen:
    1) YAST2.DSL aufrufen, eigenen Provider und Zugangsdaten eingeben und bestätigen. Daraufhin werden die benötigten Packages endlich installiert.
    2) Für die Nutzung muß '''smpppd''' als Dienst auch nach einem Neustart aktiviert sein.
    3) Für die manuelle Aktivierung sollte Package '''QInternet''' installiert sein.

  8. #8

    Default Re: 11.3 > 11.4 YaST, DSL, linux-atm-lib

    How I did it with one step (Internet with OpenSuSE 11.4):
    Inserted a OpenSuSE 11.2 installation DVD, is mounted at /media/CDROM

    Open a xterm, login as root (su), now I typed (I have 64bit):
    ls /media/CDROM/suse/x86_64/*atm*.rpm

    It lists only one file:
    /media/CDROM/suse/x86_64/linux-atm-lib-2.5.0-139.2.x86_64.rpm

    so its no problem to type:
    rpm -i /media/CDROM/suse/x86_64/*atm*.rpm

    READY !!! Goto Yast/DSL step through dialogs, OK and fine...
    (If you dont have an 11.2/11.3 installation DVD, you must manage to download the file
    linux-atm-lib-2.5.0-139.2.x86_64.rpm
    from internet via e.g. Windows onto a local directory should not be too difficult as OpenSuSE 11.4 can read mounted NTFS partitions)

  9. #9
    Join Date
    Sep 2008
    Location
    Switzerland
    Posts
    31

    Default Re: 11.3 > 11.4 YaST, DSL, linux-atm-lib

    Hallo, befuerchte ich komm nicht weiter,

    Habe anhand von kwrite als root in Zeile 571 von /usr/share/YaST2/modules/DSL.ycp den script folgendermassen veraendert:

    return ["smpppd", "ppp", "pptp", "libatm1"];


    leider will es mit YaST2 DSL konfigurieren nicht klappen das gleiche Fensterschema bleibt wie vor der veraendeung
    mit dem kleinen YaST fensterchen das mich bittet linux-atm-lib zu installieren oder abzubrechen...

    Ich muss sagen, mir ist nicht so klar was mit..

    "YAST2.DSL Modul Bytecode erstellen. Im Resultat liegt der ben�tigte Bytecode als /usr/share/YaST2/modules/DSL.ybc vor.
    cd /usr/share/YaST2/modules/
    ycpc DSL.ycp" ...so gemeint ist koennte mir jemand weiterhelfen?

    Woran liegt der Haken?

    PS: Habe mir eine CD eingerichtet und als Repository eingebunden mit enthalten sind folgende Pakete:

    libatm1-2.5.0-149.3.x86_64.rpm ; libatm1 (zu dieser version 149.3 dann noch version 293.1)
    linux-atm version ..149.. und ..293..
    linux-atm-devel version ..149.. und ..293.. fuer die Architektur meines Computers

    Auch mit der opensuse 11.4 DVD bleib ich Beim YaST DSL-fensterchen und muss abbrechen

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •